<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: SpawnData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structSpawnData-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SpawnData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struct to store data from level file.  
 <a href="structSpawnData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="SpawnData_8h_source.html">SpawnData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7dbcdb2372f454cb0a9e9ba2cf6f928c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structSpawnData.html#a7dbcdb2372f454cb0a9e9ba2cf6f928c">m_SpawnTime</a></td></tr>
<tr class="separator:a7dbcdb2372f454cb0a9e9ba2cf6f928c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6261def8d6e18977d90335aa6a4d7fad"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structSpawnData.html#a6261def8d6e18977d90335aa6a4d7fad">m_SpawnYPos</a></td></tr>
<tr class="separator:a6261def8d6e18977d90335aa6a4d7fad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac375468dd68b6a9541b039e933dbb52b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structSpawnData.html#ac375468dd68b6a9541b039e933dbb52b">m_Type</a></td></tr>
<tr class="separator:ac375468dd68b6a9541b039e933dbb52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Struct to store data from level file. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a7dbcdb2372f454cb0a9e9ba2cf6f928c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dbcdb2372f454cb0a9e9ba2cf6f928c">&#9670;&nbsp;</a></span>m_SpawnTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SpawnData::m_SpawnTime</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6261def8d6e18977d90335aa6a4d7fad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6261def8d6e18977d90335aa6a4d7fad">&#9670;&nbsp;</a></span>m_SpawnYPos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SpawnData::m_SpawnYPos</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac375468dd68b6a9541b039e933dbb52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac375468dd68b6a9541b039e933dbb52b">&#9670;&nbsp;</a></span>m_Type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int SpawnData::m_Type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="SpawnData_8h_source.html">SpawnData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
